Imports System.Data.SqlClient

Public Class TestForm
    Private Sub Update_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UpdateDB.Click
        ' Tworzenie połączenia.
        Dim Connect As String = My.Settings.Northwind
        Dim con As New SqlConnection(Connect)
        con.Open()

        ' Tworzenie dowolnego polecenia aktualizacji.
        Dim SQL As String = "UPDATE Orders SET ShipCountry='Oceania' " & _
          "WHERE OrderID='10248'"
        Dim cmd As New SqlCommand(SQL, con)

        ' Wykonywanie polecenia.
        Dim NumAffected As Integer
        NumAffected = cmd.ExecuteNonQuery()

        con.Close()

        ' Wyświetlanie liczby zmienionych wierszy.
        MessageBox.Show("Zaktualizowane rekordy: " & NumAffected.ToString, "Wyniki", _
  MessageBoxButtons.OK)



    End Sub

    Private Sub cmdInsert_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdInsert.Click

        ' Tworzenie połączenia.
        Dim Connect As String = My.Settings.Northwind
        Dim con As New SqlConnection(Connect)
        con.Open()

        Dim cmd As New SqlCommand("AddNewCustomer", con)
        cmd.CommandType = CommandType.StoredProcedure

        ' Deklaracja zminnej typu SqlParameter. 
        ' Do utworzenia poszczególnych obiektów SqlParameter
        ' posłuży obiekt Command.
        Dim param As SqlParameter

        param = cmd.Parameters.AddWithValue("@CustomerID", "*TEST")
        param = cmd.Parameters.AddWithValue("@CompanyName", "No Starch Press")
        param = cmd.Parameters.AddWithValue("@ContactName", "Matthew MacDonald")

        Dim NumAffected As Integer
        NumAffected = cmd.ExecuteNonQuery()
        con.Close()

        ' Wyświetlanie liczby zmienionych rekordów.
        MessageBox.Show("Wstawione rekordy: " & NumAffected.ToString, "Wyniki", _
          MessageBoxButtons.OK)

    End Sub

    Private Sub cmdParameterized_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdParameterized.Click

        ' Definiowanie połączenia.
        Dim Connect As String = My.Settings.Northwind
        Dim con As New SqlConnection(Connect)
        con.Open()

        ' Definiowanie polecenia z parametrami.
        Dim SQL As String = _
          "UPDATE Orders SET ShipCountry=@ShipCountry WHERE OrderID=@OrderID"
        Dim cmd As New SqlCommand(SQL, con)
        ' Dodawanie parametrów.
        cmd.Parameters.AddWithValue("@ShipCountry", "Oceania")
        cmd.Parameters.AddWithValue("@OrderID", 10248)

        ' Wykonywanie polecenia.
        Dim NumAffected As Integer
        NumAffected = cmd.ExecuteNonQuery()
        con.Close()

        ' Wyświetlanie liczby zmienionych rekordów.
        MessageBox.Show("Wstawione rekordy: " & NumAffected.ToString, "Wyniki", _
          MessageBoxButtons.OK)

    End Sub
End Class